# VecMTDotEnd

Ends a split phase transpose multiple dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecMTDotEnd(Vec x,PetscInt nv,const Vec y[],PetscScalar *result)

### Input Parameters

| x | - the first vector (can be PETSC_NULL)
| nv | - number of vectors
| y | - array of vectors (can be PETSC_NULL)

Output Parameters

result -where the result will go

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd().

seealso: VecMTDotBegin(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd(), VecMDotBegin(), VecMdotEnd()

Level:advanced
Location: src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages